/* FreeArgs.c   V1.0   93-03-09                 */
/* ROM library: "dos.library/FreeArgs", (V36+)  */
/* Copyright 1993, Anders Bjerin, Amiga C Club  */


#include <dos/dos.h>
#include <dos/rdargs.h>

#include <clib/dos_protos.h>
#include <stdio.h>
#include <stdlib.h>

#define MY_COMMAND_LINE_TEMPLATE "SoundFile/A"
#define NUMBER_COMMAND_TEMPLATES 1
#define SOUNDFILE_TEMPLATE       0

UBYTE *version = "$VER: FreeArgs V1.0";

struct RDArgs *my_rdargs;
LONG arg_array[ NUMBER_COMMAND_TEMPLATES ];

int main( int argc, char *argv[] );
int main( int argc, char *argv[] )
{
  /* Parse the command line: */
  my_rdargs = ReadArgs( MY_COMMAND_LINE_TEMPLATE, arg_array, NULL );

  /* OK? */
  if( !my_rdargs )
  {
    printf( "Could not parse the command line!\n" );
    exit( 20 );
  }

  if( arg_array[ SOUNDFILE_TEMPLATE ] )
    printf( "File name: %s\n", arg_array[ SOUNDFILE_TEMPLATE ] );

  /* Free the "argument data": */
  FreeArgs( my_rdargs );

  exit( 0 );
}

